Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.html
Class HorizontalRuleElement

    java.lang.Object
      |
      +--weblogic.html.HtmlElement
            |
            +--weblogic.html.ElementWithAttributes
                  |
                  +--weblogic.html.SinglePartElement
                        |
                        +--weblogic.html.HorizontalRuleElement

public class HorizontalRuleElement
extends SinglePartElement

This class extends the functionality of the convenient MarkupElement.HoriztonalLine or MarkupElement.HorizontalRule. Netscape allows setting of several attributes for horizontal rules, which are supported here.

Author:
  Copyright (c) 1996-97 by WebLogic, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.html.HtmlElement
`codeset, useObsolete`

Constructor Summary
`HorizontalRuleElement()` Deprecated. Constructs a HorizontalRuleElement.

Method Summary
`protected java.lang.String` | `getHtmlCode()` Deprecated.
`protected boolean` | `printCR()` Deprecated.
`protected boolean` | `printEndingTag()` Deprecated.
`HorizontalRuleElement` | `setAlign(AlignType align)` Deprecated. Sets the ALIGN attribute for a HorizontalRuleElement.
`HorizontalRuleElement` | `setNoshade()` Deprecated. Sets the NOSHADE attribute for a HorizontalRuleElement.
`HorizontalRuleElement` | `setSize(int size)` Deprecated. Sets the SIZE attribute for a HorizontalRuleElement.
`HorizontalRuleElement` | `setSize(java.lang.String size)` Deprecated. Sets the SIZE attribute for a HorizontalRuleElement.
`HorizontalRuleElement` | `setWidth(java.lang.String width)` Deprecated. Sets the WIDTH attribute for a HorizontalRuleElement.

Methods inherited from class weblogic.html.SinglePartElement
`getElement, printBody, printBody, printBody, setElement, setElement, widthAsLiteral`

Methods inherited from class weblogic.html.ElementWithAttributes
`addAttribute, addAttribute, escapeQuotes, getBooleanAttribute, getElementAttribute, getLocalVar, getQuotedAttribute, output, output, output, printBody, setBooleanAttribute, setBooleanAttribute, setClass, setDirection, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setId, setLang, setLocalVar, setQuotedAttribute, setStyle`

Methods inherited from class weblogic.html.HtmlElement
`asAnchorElement, asBigElement, asBlockquoteElement, asBoldElement, asCenteredElement, asCiteElement, asCodeElement, asCommentElement, asDefineTermElement, asEmphasisElement, asFontElement, asFontElement, asFontElement, asHtmlContainer, asItalicElement, asKeyboardElement, asLiteralElement, asParagraphElement, asSampleElement, asSmallElement, asStrikeElement, asStrongElement, asSubscriptElement, asSuperscriptElement, asTeletypeElement, asUnderlineElement, asVariableElement, getVersion, setAnchorMode, setCodeset, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HorizontalRuleElement

    public HorizontalRuleElement()

  Deprecated.
  Constructs a HorizontalRuleElement.

Method Detail

### getHtmlCode

    protected java.lang.String getHtmlCode()

  Deprecated.

  Overrides:
    getHtmlCode in class ElementWithAttributes

### printCR

    protected boolean printCR()

  Deprecated.

  Overrides:
    printCR in class ElementWithAttributes

### printEndingTag

    protected boolean printEndingTag()

  Deprecated.

  Overrides:
    printEndingTag in class ElementWithAttributes

### setSize

    public HorizontalRuleElement setSize(java.lang.String size)

  Deprecated.
  Sets the SIZE attribute for a HorizontalRuleElement.

  Parameters:
    `size` - Thickness of horizontal rule
  Returns:
    HorizontalRuleElement

### setSize

    public HorizontalRuleElement setSize(int size)

  Deprecated.
  Sets the SIZE attribute for a HorizontalRuleElement.

  Parameters:
    `size` - Thickness of horizontal rule
  Returns:
    HorizontalRuleElement

### setWidth

    public HorizontalRuleElement setWidth(java.lang.String width)

  Deprecated.
  Sets the WIDTH attribute for a HorizontalRuleElement. This can be the number of pixels or a percentage of the width of the display area.

  Parameters:
    `size` - Width
  Returns:
    HorizontalRuleElement

### setAlign

    public HorizontalRuleElement setAlign(AlignType align)

  Deprecated.
  Sets the ALIGN attribute for a HorizontalRuleElement. Valid AlignType variables for this are left, right, or center.

  Parameters:
    `size` - Alignment
  Returns:
    HorizontalRuleElement

### setNoshade

    public HorizontalRuleElement setNoshade()

  Deprecated.
  Sets the NOSHADE attribute for a HorizontalRuleElement.

  Returns:
    HorizontalRuleElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD